unit Uf45_t2;
{Botones de rango del fluke 45}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons,Unitgen, ExtCtrls, SensMap, MPlayer;

type
  TFormFluke45BRango = class(TForm)
    SensitiveMap1: TSensitiveMap;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    LabelMando: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    Panel2: TPanel;
    BitBtn2: TBitBtn;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    GroupBox3: TGroupBox;
    Memo2: TMemo;
    CheckBox1: TCheckBox;
    SensitiveMap2: TSensitiveMap;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SensitiveMap1Click(Sender: TObject);
    procedure SensitiveMap2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormFluke45BRango: TFormFluke45BRango;

implementation

{$R *.DFM}

procedure TFormFluke45BRango.BitBtn1Click(Sender: TObject);
begin
temaabierto:=temaabierto - [2];
release;
end;

procedure TFormFluke45BRango.FormCreate(Sender: TObject);
begin
Screen.cursors[CR]:=cur;
SensitiveMap1.Cursor_alt:=CR;
SensitiveMap2.Cursor_alt:=CR;
SensitiveMap1.Situar_Cuadro(9,8,49,40,'Botón Auto',Label1);
SensitiveMap1.Situar_Cuadro(66,9,158,37,'Flechas',Label2);
SensitiveMap2.Situar_Cuadro(9,8,49,40,'Botón COMP',Label3);
SensitiveMap2.Situar_Cuadro(66,9,104,40,'Botón HI',Label4);
SensitiveMap2.Situar_Cuadro(120,8,160,40,'Botón LO',Label5);

{SensitiveMap1.Situar_Cuadro();}
end;

procedure TFormFluke45BRango.SensitiveMap1Click(Sender: TObject);
var
   cuad,i:integer;
   qz:string;
begin
     memo1.clear;
     memo2.clear;
     labelmando.caption:='';
     cuad:=SensitiveMap1.Cuadro_activo;
     qz:=SensitiveMap1.Quezona(cuad);
     if (qz=' Botón Auto ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón Auto';
        Memo1.lines.Add('Sirve para alternar entre los modos autorango y rango manual, además de otros usos secundarios.');
        Memo2.lines.Add('El botón AUTO tiene varios usos:');
        Memo2.lines.Add('- Pulsándolo, se activan los modos autorango (en el que el ');
        Memo2.lines.Add('  multímetro elige el mejor rango automáticamente) y rango ');
        Memo2.lines.Add('  manual. El rango manual no puede activarse en el display');
        Memo2.lines.Add('  secundario.');
        Memo2.lines.Add('- Si mientras se pulsa AUTO se pulsa la tecla 2ND, se guarda');
        Memo2.lines.Add('  la configuración actual del multímetro como configuración por');
        Memo2.lines.Add('  defecto.');
     end;
     if (qz=' Flechas ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Flecha arriba y flecha abajo';
        Memo1.lines.Add( 'Permiten aumentar o disminuir el rango de medida (fondo de escala), '+
                         'determinar la resistencia de referencia de decibelios, y el '+
                         'umbral de medición estable.');
        Memo2.lines.Add('·Para cambiar las unidades de rango (arriba y abajo):');
        Memo2.lines.Add('   1.- Cambiar a modo manual mediante la tecla AUTO, haciendo');
        Memo2.lines.Add('       que el indicador "AUTO" no aparezca en el display.');
        Memo2.lines.Add('   2.- Seleccionar las unidades de medida con las flechas.');
        Memo2.lines.Add('');
        Memo2.lines.Add('·Para determinar la resistencia de referencia de los decibelios:');
        Memo2.lines.Add('   1.-Pulsar la tecla 2ND.');
        Memo2.lines.Add('   2.-Pulsar la tecla "dB" (función secundaria "REF ohmios").');
        Memo2.lines.Add('   3.-Determinar la resistencia con las flechas (de 2 a 8000');
        Memo2.lines.Add('      ohmios).');
        Memo2.lines.Add('   4.-Pulsar la tecla AUTO para seleccionar.');
        Memo2.lines.Add('');
        Memo2.lines.Add('·Para cambiar el umbral de medición estable:');
        Memo2.lines.Add('   1.-Pulsar la tecla 2ND.');
        Memo2.lines.Add('   2.-Pulsar la tecla HOLD (función secundaria "THRESHOLD").');
        Memo2.lines.Add('   3.-Con las flechas, seleccionar "1"(muy estable),"2"(estable)');
        Memo2.lines.Add('      o "3" (inestable).');
        Memo2.lines.Add('   4.-Pulsar la tecla AUTO para acabar.');
     end;
     if (qz='  ') then
     begin
        Labelmando.caption:={strpas(strupper(}'';
        Memo1.lines.Add('');
        Memo1.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
     end;

end;
procedure TFormFluke45BRango.SensitiveMap2Click(Sender: TObject);
var
   cuad,i:integer;
   qz:string;
begin
     memo1.clear;
     memo2.clear;
     labelmando.caption:='';
     cuad:=SensitiveMap2.Cuadro_activo;
     qz:=SensitiveMap2.Quezona(cuad);
     if (qz=' Botón COMP ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón COMP';
        Memo1.lines.Add( 'Permite determinar si una lectura cae dentro de un rango de valores '+
                         'designado previamente. En modo COMP, en el display primario se muestra '+
                         'la medida, y en el secundario se dice si es mayor (HI), menor (LO) o '+
                         'está dentro (PASS) del rango dado.');
        Memo2.lines.Add('1.- Determinar los puntos alto y bajo del intervalo de tolerancia.');
        Memo2.lines.Add('    Puede hacerse de varias formas:');
        Memo2.lines.Add('     a)Pulsar la tecla "2ND".');
        Memo2.lines.Add('     b)Pulsar la flecha arriba (HI), para el nivel alto, o la flecha');
        Memo2.lines.Add('       abajo (LO) para el nivel bajo.');
        Memo2.lines.Add('    El valor presente en el display se convierte en el nivel elegido.');
        Memo2.lines.Add('                                    O');
        Memo2.lines.Add('     a)Usando el editor de números (ver la sección "notas ');
        Memo2.lines.Add('       generales").');
        Memo2.lines.Add('2.- Pulsar la tecla 2ND.');
        Memo2.lines.Add('3.- Pulsar la tecla AUTO (COMP).');
        Memo2.lines.Add('El modificador de función "Touch Hold" se activa ');
        Memo2.lines.Add('automáticamente (ver el botón "HOLD" para más información del Touch Hold).');
     end;
     if (qz=' Botón HI ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón HI';
        Memo1.lines.Add('Sirve para determinar el nivel alto de comparación para el botón COMP.');
        Memo2.lines.Add('1.- Pulsar el botón "2ND".');
        Memo2.lines.Add('2.- Pulsar el botón HI.');
        Memo2.lines.Add('3.- Determinar el punto alto.');
        Memo2.lines.Add('4.- Pulsar "2ND" y después "AUTO"(COMP).');
        Memo2.lines.Add('Ver el botón COMP para más información.');
     end;
     if (qz=' Botón LO ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón LO';
        Memo1.lines.Add('Sirve para determinar el nivel bajo de comparación para el botón COMP.');
        Memo2.lines.Add('1.- Pulsar el botón "2ND".');
        Memo2.lines.Add('2.- Pulsar el botón LO.');
        Memo2.lines.Add('3.- Determinar el punto bajo.');
        Memo2.lines.Add('4.- Pulsar "2ND" y después "AUTO"(COMP).');
        Memo2.lines.Add('Ver el botón COMP para más información.');
     end;
     if (qz='  ') then
     begin
        Labelmando.caption:={strpas(strupper(}'';
        Memo1.lines.Add('');
        Memo1.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
     end;
end;

procedure TFormFluke45BRango.CheckBox1Click(Sender: TObject);
begin
if CheckBox1.checked then Sensitivemap1.hide
else sensitivemap1.show;
end;

end.
